using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using MySql.Data.MySqlClient;
using MySql.Data.Types;

namespace TableEditor
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button connectBtn;
		private System.Windows.Forms.Button updateBtn;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private MySqlConnection		conn;
		private DataTable			data;
		private MySqlDataAdapter	da;
    private System.Windows.Forms.Label label1;
		private MySqlCommandBuilder	cb;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
      this.connectBtn = new System.Windows.Forms.Button();
      this.updateBtn = new System.Windows.Forms.Button();
      this.label1 = new System.Windows.Forms.Label();
      this.SuspendLayout();
      // 
      // connectBtn
      // 
      this.connectBtn.Location = new System.Drawing.Point(8, 16);
      this.connectBtn.Name = "connectBtn";
      this.connectBtn.TabIndex = 6;
      this.connectBtn.Text = "Connect";
      this.connectBtn.Click += new System.EventHandler(this.connectBtn_Click);
      // 
      // updateBtn
      // 
      this.updateBtn.Anchor = (System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right);
      this.updateBtn.Location = new System.Drawing.Point(96, 16);
      this.updateBtn.Name = "updateBtn";
      this.updateBtn.TabIndex = 9;
      this.updateBtn.Text = "Select";
      this.updateBtn.Click += new System.EventHandler(this.updateBtn_Click);
      // 
      // label1
      // 
      this.label1.Location = new System.Drawing.Point(16, 56);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(512, 16);
      this.label1.TabIndex = 10;
      this.label1.Text = "label1";
      // 
      // Form1
      // 
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(560, 101);
      this.Controls.AddRange(new System.Windows.Forms.Control[] {
                                                                  this.label1,
                                                                  this.updateBtn,
                                                                  this.connectBtn});
      this.Name = "Form1";
      this.Text = "Form1";
      this.ResumeLayout(false);

    }
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void connectBtn_Click(object sender, System.EventArgs e)
		{
			if (conn != null)
				conn.Close();
	
			string connStr = "server=localhost; database=test; pooling=false";

			try 
			{
				conn = new MySqlConnection( connStr );
				conn.Open();

			}
			catch (MySqlException ex) 
			{
				MessageBox.Show( "Error connecting to the server: " + ex.Message );
			}
		}

    private void updateBtn_Click(object sender, System.EventArgs e)
    {
      MySqlCommand cmd = new MySqlCommand("select * from t1 where f2 = ?f2 ");
      MySqlDataReader myReader;
      
      
      cmd.Connection = conn;
      cmd.Parameters.Add("f2",MySqlDbType.Decimal).Value = 16.03;	
      myReader= cmd.ExecuteReader();

      myReader.Read(); 
      label1.Text = myReader.GetString(0);
    }
	}
}
